ProviderNotFoundException
Keywords: uk.ac.ic.doc.automed.qproc.ProviderNotFoundException class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.qproc
Class ProviderNotFoundException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              uk.ac.ic.doc.automed.AutoMedException
                  uk.ac.ic.doc.automed.NotFoundException
                      uk.ac.ic.doc.automed.qproc.ProviderNotFoundException

All Implemented Interfaces:
  java.io.Serializable

    public class ProviderNotFoundException

extends NotFoundException

ProviderNotFoundException.java

Author:
  Duc M Le dmle@doc.ic.ac.uk Created on 01 August 2006 Department of Computing, Imperial College
See Also:
  Serialized Form

Constructor Summary
`ProviderNotFoundException(java.lang.String msg)` Creates an NotFoundException when there has been no Exception that caused the error to discovered.
`ProviderNotFoundException(java.lang.String msg, java.lang.Exception e)` Creates an NotFoundException when it is acting as a wrapper for other Exceptions.

Method Summary

Methods inherited from class uk.ac.ic.doc.automed.AutoMedException
`getCause, printStackTrace`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ProviderNotFoundException

    public ProviderNotFoundException(java.lang.String msg)

  Creates an NotFoundException when there has been no Exception that caused the error to discovered.

  Parameters:
    `msg` - message for the exception.

### ProviderNotFoundException

    public ProviderNotFoundException(java.lang.String msg,
                                     java.lang.Exception e)

  Creates an NotFoundException when it is acting as a wrapper for other Exceptions.

  Parameters:
    `msg` - message for the exception.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD